# $Revision: 1.39 $, $Date: 2011/03/27 19:25:08 $
Summary:	OpenGL extension to GTK
Summary(pl.UTF-8):	Rozszerzenie OpenGL dla GTK
Name:		gtkglext
Version:	1.2.0
Release:	6
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://downloads.sourceforge.net/gtkglext/%{name}-%{version}.tar.bz2
# Source0-md5:	ed7ba24ce06a8630c07f2d0ee5f04ab4
Patch0:		%{name}-gtk+2.patch
URL:		http://gtkglext.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.7
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gtk+2-devel >= 2:2.19.0
BuildRequires:	gtk-doc >= 0.10
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libXmu-devel
Requires:	gtk+2 >= 2:2.19.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1

%description
GtkGLExt provides the GDK objects to support OpenGL rendering in GTK,
and GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.

As opposed to Janne Loff's GtkGLArea, it does not provide any OpenGL
widget, but an interface to use OpenGL on *ANY* GTK+ widget.

%description -l pl.UTF-8
GtkGLExt udostępnia obiekty GDK obsługujące rysowanie OpenGL w GTK
oraz dodatki do API GtkWidget dodające obsługę OpenGL do widgetów
GTK+.

W przeciwieństwie do GtkGLArea Janne Loffa, nie udostępnia widgetu
OpenGL, ale interfejs do używania OpenGL w *KAŻDYM* widgecie GTK+.

%package devel
Summary:	Development files for GtkGLExt
Summary(pl.UTF-8):	Pliki programistyczne GtkGLExt
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-GLU-devel
Requires:	gtk+2-devel >= 2:2.19.0
Requires:	xorg-lib-libXmu-devel

%description devel
Development files for GtkGLExt.

%description devel -l pl.UTF-8
Pliki programistyczne GtkGLExt.

%package static
Summary:	GtkGLExt static libraries
Summary(pl.UTF-8):	Statyczne biblioteki GtkGLExt
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
GtkGLExt static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki GtkGLExt.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-static \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--with-gdktarget=x11

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog* README TODO
%attr(755,root,root) %{_libdir}/libgdkglext-x11-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdkglext-x11-1.0.so.0
%attr(755,root,root) %{_libdir}/libgtkglext-x11-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtkglext-x11-1.0.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgdkglext-x11-1.0.so
%attr(755,root,root) %{_libdir}/libgtkglext-x11-1.0.so
%{_libdir}/%{name}-1.0
%{_includedir}/%{name}-1.0
%{_pkgconfigdir}/gdkglext-1.0.pc
%{_pkgconfigdir}/gdkglext-x11-1.0.pc
%{_pkgconfigdir}/gtkglext-1.0.pc
%{_pkgconfigdir}/gtkglext-x11-1.0.pc
%{_aclocaldir}/gtkglext-1.0.m4
%{_gtkdocdir}/gtkglext

%files static
%defattr(644,root,root,755)
%{_libdir}/libgdkglext-x11-1.0.a
%{_libdir}/libgtkglext-x11-1.0.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtkglext.spec,v $
Revision 1.39  2011/03/27 19:25:08  wiget
- drop libtool file
- rel. 6

Revision 1.38  2011/02/01 18:03:26  qboosh
- really bump gtk+2 version
- more explicit lib names, ghost soname symlinks

Revision 1.37  2010/10/12 14:25:55  lisu
- update gtk+2 required version to 2:2.19.0

Revision 1.36  2010/10/12 14:24:40  lisu
- fix build with gtk+2 >= 2:2.19
- rel 5

Revision 1.35  2010/03/04 12:22:33  hawk
- release 4

Revision 1.34  2009/11/28 01:35:30  sparky
- BR: docbook-dtd412-xml

Revision 1.33  2008/12/04 18:17:01  hawk
- release 3

Revision 1.32  2007/06/09 19:01:09  arekm
- rel 2

Revision 1.31  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.30  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.29  2006/03/05 00:26:19  qboosh
- updated to 1.2.0, removed obsolete pangox patch

Revision 1.28  2006/03/04 23:40:51  qboosh
- gpm-friendly Source0 URL

Revision 1.27  2006/02/19 09:25:17  freetz
- fix linking with non ancient pango lib, rel.3

Revision 1.26  2006/02/19 09:13:10  qboosh
- dropped non-versioned OpenGL dep

Revision 1.25  2006/02/19 00:55:22  wolf
- rel 2

Revision 1.24  2004/12/20 12:46:01  zbyniu
- BR: pkgconfig

Revision 1.23  2004/11/27 18:52:07  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.22  2004/03/11 12:11:03  grzegol
- updated to 1.0.6
- removed outdated am18 patch
- enabled gtk-doc
- strict internal deps

Revision 1.21  2003/12/28 16:18:23  qboosh
- added am18 patch (gtkglext.m4 quotation fixes), fixes Groups, release 2

Revision 1.20  2003/11/21 03:31:07  wrobell
- ver. 1.0.5

Revision 1.19  2003/09/25 09:14:26  trojan
- updated to 1.0.4

Revision 1.18  2003/09/02 22:36:44  qboosh
- 1.0.3, removed obsolete 1.0.2-private-header patch.gz

Revision 1.17  2003/08/18 08:08:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.16  2003/08/11 19:13:00  qboosh
- oops, forgot to apply the patch - that's why I didn't figure wrong name :)
- release 2

Revision 1.15  2003/08/11 13:01:11  ankry
- fixed patch name

Revision 1.14  2003/08/09 10:08:09  qboosh
- updated to 1.0.2 with official patch

Revision 1.13  2003/06/22 10:59:30  eothane
- http://belnet.sourceforge->http://dl.sourceforge

Revision 1.12  2003/05/27 08:59:02  trojan
- added Source-md5

Revision 1.11  2003/05/25 05:48:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/05/15 13:32:13  wiget
- updated to 1.0.0

Revision 1.9  2003/05/12 14:11:48  qboosh
- added docs

Revision 1.8  2003/04/26 23:21:57  qboosh
- added .m4 file, rebuild ac/am/lt due to broken libtool

Revision 1.7  2003/04/20 11:58:46  wolf
- autoupdated to 0.7.1

Revision 1.6  2003/01/18 22:50:08  juandon
- removed two lines with define

Revision 1.5  2002/12/16 13:59:13  wrobell
- ver. 0.6.0

Revision 1.4  2002/11/25 14:13:05  ankry
- massive attack: no need for 755 for *.la

Revision 1.3  2002/11/21 14:07:44  qboosh
- pl description

Revision 1.2  2002/11/15 10:55:52  wrobell
- file list is fixed and two small patches are added, which fix renamed
  gtk/gdk functions and structure members

Revision 1.1  2002/11/15 10:03:48  wrobell
- based on gtkglarea.spec
